unit Unit3;

interface

uses
{$IFDEF LINUX}
 QForms, QStdCtrls, Classes, QControls;
{$ENDIF}
{$IFDEF MSWINDOWS}
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Mask, StdCtrls;
{$ENDIF}

type
  TForm3 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    Edit2: TEdit;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$IFDEF MSWINDOWS}
{$R *.dfm}
{$ENDIF}
{$IFDEF LINUX}
{$R *.xfm}
{$ENDIF}

 uses Unit1;

procedure TForm3.Button2Click(Sender: TObject);
begin
 Close;
end;

procedure TForm3.Button1Click(Sender: TObject);
begin
 Form1.UserName:=Edit1.Text;
 Form1.Password:=Edit2.Text;
 Form1.OpenFirebirdFile;
 Close;
end;

procedure TForm3.FormCreate(Sender: TObject);
begin
{$IFDEF LINUX}
 PixelsPerInch:=81;
{$ENDIF}
end;

end.
